SOURCES: clusternfs.init, flixengine.init, nfs.init, nfsfs.init, n...
baggins
baggins at pld-linux.org
Fri Apr 27 00:19:11 CEST 2007
Author: baggins Date: Thu Apr 26 22:19:11 2007 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- use generic portmapper check from rc-scripts
---- Files affected:
SOURCES:
clusternfs.init (1.9 -> 1.10) , flixengine.init (1.12 -> 1.13) , nfs.init (1.46 -> 1.47) , nfsfs.init (1.37 -> 1.38) , nfslock.init (1.19 -> 1.20) , rpcgssd.init (1.7 -> 1.8) , rpcidmapd.init (1.12 -> 1.13) , rpcsvcgssd.init (1.10 -> 1.11) , rquotad.init (1.18 -> 1.19)
---- Diffs:
================================================================
Index: SOURCES/clusternfs.init
diff -u SOURCES/clusternfs.init:1.9 SOURCES/clusternfs.init:1.10
--- SOURCES/clusternfs.init:1.9 Wed Dec 22 16:47:06 2004
+++ SOURCES/clusternfs.init Fri Apr 27 00:19:05 2007
@@ -30,8 +30,8 @@
exit 0
fi
-if [ -x /sbin/pidof ] && [ "$1" != "stop" ]; then
- [ -z "`/sbin/pidof portmap`" ] && nls "Error: portmap isn't running" && exit 0
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
fi
# Sanity checks
================================================================
Index: SOURCES/flixengine.init
diff -u SOURCES/flixengine.init:1.12 SOURCES/flixengine.init:1.13
--- SOURCES/flixengine.init:1.12 Wed Apr 18 14:20:07 2007
+++ SOURCES/flixengine.init Fri Apr 27 00:19:06 2007
@@ -22,19 +22,13 @@
USERID=flixd
INTERFACE=lo
-check_portmap() {
- if [ ! -f /var/lock/subsys/portmap ]; then
- echo >&2 "ERROR: portmap does not appear to be running."
- echo >&2 "Flix Engine requires the portmap service to run."
- exit 1
- fi
- # test for running portmapper
-}
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
+fi
start(){
# Check if the service is already running?
if [ ! -f /var/lock/subsys/flixd ]; then
- check_portmap
msg_starting "Flix Engine"
daemon --user $USERID /usr/sbin/flixd --authdir=$AUTHDIR \
--interface=$INTERFACE --port=$PORT --reuseaddr \
================================================================
Index: SOURCES/nfs.init
diff -u SOURCES/nfs.init:1.46 SOURCES/nfs.init:1.47
--- SOURCES/nfs.init:1.46 Thu Apr 5 19:34:45 2007
+++ SOURCES/nfs.init Fri Apr 27 00:19:06 2007
@@ -34,8 +34,8 @@
exit 0
fi
-if [ -x /sbin/pidof ] && [ "$1" != "stop" ]; then
- [ -z "`/sbin/pidof portmap`" ] && nls "Error: portmap isn't running" && exit 0
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
fi
start() {
================================================================
Index: SOURCES/nfsfs.init
diff -u SOURCES/nfsfs.init:1.37 SOURCES/nfsfs.init:1.38
--- SOURCES/nfsfs.init:1.37 Fri Apr 6 01:36:56 2007
+++ SOURCES/nfsfs.init Fri Apr 27 00:19:06 2007
@@ -31,8 +31,8 @@
exit 0
fi
-if [ -x /sbin/pidof ] && [ "$1" != "stop" ]; then
- [ -z "`/sbin/pidof portmap`" ] && nls "Error: portmap isn't running" && exit 0
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
fi
start() {
================================================================
Index: SOURCES/nfslock.init
diff -u SOURCES/nfslock.init:1.19 SOURCES/nfslock.init:1.20
--- SOURCES/nfslock.init:1.19 Fri Apr 6 01:30:51 2007
+++ SOURCES/nfslock.init Fri Apr 27 00:19:06 2007
@@ -30,8 +30,8 @@
exit 0
fi
-if [ -x /sbin/pidof ] && [ "$1" != "stop" ]; then
- [ -z "`/sbin/pidof portmap`" ] && nls "Error: portmap isn't running" && exit 0
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
fi
# /usr may be on NFS, fail silently, nfsfs will start it
================================================================
Index: SOURCES/rpcgssd.init
diff -u SOURCES/rpcgssd.init:1.7 SOURCES/rpcgssd.init:1.8
--- SOURCES/rpcgssd.init:1.7 Fri Apr 6 12:23:27 2007
+++ SOURCES/rpcgssd.init Fri Apr 27 00:19:06 2007
@@ -22,8 +22,8 @@
exit 0
fi
-if [ -x /sbin/pidof ] && [ "$1" != "stop" ]; then
- [ -z "`/sbin/pidof portmap`" ] && nls "Error: portmap isn't running" && exit 0
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
fi
# Get service config
================================================================
Index: SOURCES/rpcidmapd.init
diff -u SOURCES/rpcidmapd.init:1.12 SOURCES/rpcidmapd.init:1.13
--- SOURCES/rpcidmapd.init:1.12 Fri Apr 6 01:39:48 2007
+++ SOURCES/rpcidmapd.init Fri Apr 27 00:19:06 2007
@@ -22,8 +22,8 @@
exit 0
fi
-if [ -x /sbin/pidof ] && [ "$1" != "stop" ]; then
- [ -z "`/sbin/pidof portmap`" ] && nls "Error: portmap isn't running" && exit 0
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
fi
# Get service config
================================================================
Index: SOURCES/rpcsvcgssd.init
diff -u SOURCES/rpcsvcgssd.init:1.10 SOURCES/rpcsvcgssd.init:1.11
--- SOURCES/rpcsvcgssd.init:1.10 Fri Apr 6 12:24:09 2007
+++ SOURCES/rpcsvcgssd.init Fri Apr 27 00:19:06 2007
@@ -22,8 +22,8 @@
exit 0
fi
-if [ -x /sbin/pidof ] && [ "$1" != "stop" ]; then
- [ -z "`/sbin/pidof portmap`" ] && nls "Error: portmap isn't running" && exit 0
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
fi
# Get service config
================================================================
Index: SOURCES/rquotad.init
diff -u SOURCES/rquotad.init:1.18 SOURCES/rquotad.init:1.19
--- SOURCES/rquotad.init:1.18 Fri Apr 6 01:47:13 2007
+++ SOURCES/rquotad.init Fri Apr 27 00:19:06 2007
@@ -29,9 +29,8 @@
exit 0
fi
-if [ -x /sbin/pidof ] && [ "$1" != "stop" ] && [ -z "`/sbin/pidof portmap`" ]; then
- echo "Error: portmap isn't running"
- exit 0
+if [ "$1" != "stop" ]; then
+ check_portmapper || { nls "Error: portmap isn't running" && exit 0; }
fi
start() {
================================================================
---- CVS-web:
http://cvs.pld-linux.org/SOURCES/clusternfs.init?r1=1.9&r2=1.10&f=u
http://cvs.pld-linux.org/SOURCES/flixengine.init?r1=1.12&r2=1.13&f=u
http://cvs.pld-linux.org/SOURCES/nfs.init?r1=1.46&r2=1.47&f=u
http://cvs.pld-linux.org/SOURCES/nfsfs.init?r1=1.37&r2=1.38&f=u
http://cvs.pld-linux.org/SOURCES/nfslock.init?r1=1.19&r2=1.20&f=u
http://cvs.pld-linux.org/SOURCES/rpcgssd.init?r1=1.7&r2=1.8&f=u
http://cvs.pld-linux.org/SOURCES/rpcidmapd.init?r1=1.12&r2=1.13&f=u
http://cvs.pld-linux.org/SOURCES/rpcsvcgssd.init?r1=1.10&r2=1.11&f=u
http://cvs.pld-linux.org/SOURCES/rquotad.init?r1=1.18&r2=1.19&f=u
More information about the pld-cvs-commit
mailing list